## imcode.server
Enum SanityCheck.Problem.Severity

    java.lang.Object
      java.lang.Enum<SanityCheck.Problem.Severity>
          imcode.server.SanityCheck.Problem.Severity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SanityCheck.Problem.Severity>

Enclosing interface:
  SanityCheck.Problem

    public static enum SanityCheck.Problem.Severity

extends java.lang.Enum<SanityCheck.Problem.Severity>

Enum Constant Summary
`ERROR`
`UNKNOWN`
`WARNING`

Method Summary
`static SanityCheck.Problem.Severity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SanityCheck.Problem.Severity[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final SanityCheck.Problem.Severity UNKNOWN

### WARNING

    public static final SanityCheck.Problem.Severity WARNING

### ERROR

    public static final SanityCheck.Problem.Severity ERROR

Method Detail

### values

    public static final SanityCheck.Problem.Severity[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SanityCheck.Problem.Severity c : SanityCheck.Problem.Severity.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SanityCheck.Problem.Severity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name